Delete Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column

Delete an existing column. Note that this cannot be undone! Only users who have edit access to the dataset to which the column is associated, can delete the column.

For embed tokens of a tenant, the token's tenant_fields_rights applies to the tenant's own columns and rights applies to all other columns. Deleting a derived column assigned only to the caller's tenant requires use ; deleting any other column assigned to the caller's tenant requires modify . A discovered field of a tenant dataset source cannot be deleted until it is saved: deleting it returns 404 .

Request parametersResponse schema
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

Can be executed by:
Securable Modifier
Can be associated to:
Securable
Joins
HierarchyLevels
Currency
Tenants
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "code": 200
}